Blame 0052-Fail-to-boot-if-mediacheck-fails-817419.patch

Harald Hoyer 35271e
From 37427748d1846a68b8655b9cc8394f22b7d34975 Mon Sep 17 00:00:00 2001
Harald Hoyer 35271e
From: "Brian C. Lane" <bcl@redhat.com>
Harald Hoyer 35271e
Date: Wed, 9 May 2012 11:15:03 -0700
Harald Hoyer 35271e
Subject: [PATCH] Fail to boot if mediacheck fails (#817419)
Harald Hoyer 35271e
Harald Hoyer 35271e
The return value of checkisomd5 was being ignored.
Harald Hoyer 35271e
---
Harald Hoyer 35271e
 modules.d/90dmsquash-live/dmsquash-live-root.sh |    2 +-
Harald Hoyer 35271e
 1 file changed, 1 insertion(+), 1 deletion(-)
Harald Hoyer 35271e
Harald Hoyer 35271e
diff --git a/modules.d/90dmsquash-live/dmsquash-live-root.sh b/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 35271e
index 2aaec28..fdbd6f5 100755
Harald Hoyer 35271e
--- a/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 35271e
+++ b/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 35271e
@@ -33,7 +33,7 @@ fi
Harald Hoyer 35271e
 getarg rd.live.check check || check=""
Harald Hoyer 35271e
 if [ -n "$check" ]; then
Harald Hoyer 35271e
     [ -x /bin/plymouth ] && /bin/plymouth --hide-splash
Harald Hoyer 35271e
-    checkisomd5 --verbose $livedev || :
Harald Hoyer 35271e
+    checkisomd5 --verbose $livedev
Harald Hoyer 35271e
     if [ $? -ne 0 ]; then
Harald Hoyer 35271e
         die "CD check failed!"
Harald Hoyer 35271e
         exit 1